<?php

namespace App;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Route;

class Laravel extends Model
{
    use HasFactory;

  //  protected $table = 'laravels';
    protected $fillable = ['id','katartikel_id','judul','konten','user_id'];

    public function katartikel()
    {
        return $this->belongsTo('App\Katartikel');
    }

    protected static function booted()
    {
           parent::boot();

           static::creating(function ($laravel) {
               $laravel->user_id = auth()->user()->id;
           });
   }

   public function forum()
   {
       return $this->belongsTo('App\Forum');
   }

}
    
